Page MenuHomeFreeBSD

emulators/xen-kernel411: drop version number from port
ClosedPublic

Authored by royger on Feb 21 2019, 4:03 PM.

Details

Summary

I don't have the bandwidth to maintain multiple version of Xen, and
going forward all newer version of Xen should work on FreeBSD without
issues.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

royger created this revision.Feb 21 2019, 4:03 PM
royger updated this revision to Diff 54190.Feb 21 2019, 5:30 PM

Fix package suffix

bapt accepted this revision.Feb 21 2019, 5:44 PM
This revision is now accepted and ready to land.Feb 21 2019, 5:44 PM
royger added a comment.EditedFeb 21 2019, 5:48 PM

Thanks, I'm afraid this is kind of messy however. There was a previous line on the MOVED file from the xen-{kernel/tools} -> xen-{kernel/tools}-47, and now poudriere tells me:

# poudriere testport -o emulators/xen-kernel -j 130-20190207-amd64 -p local -J 16
[00:00:00] Creating the reference jail... done
[00:00:01] Warning: !!! Jail is newer than host. (Jail: 1300010, Host: 1300008) !!!
[00:00:01] Warning: This is not supported.
[00:00:01] Warning: Host kernel must be same or newer than jail.
[00:00:01] Warning: Expect build failures.
[00:00:02] Mounting system devices for 130-20190207-amd64-local
[00:00:02] Mounting ports/packages/distfiles
[00:00:02] Stashing existing package repository
[00:00:02] Mounting packages from: /usr/local/poudriere/data/packages/130-20190207-amd64-local
[00:00:02] Copying /var/db/ports from: /usr/local/etc/poudriere.d/130-20190207-amd64-local-options
/etc/resolv.conf -> /usr/local/poudriere/data/.m/130-20190207-amd64-local/ref/etc/resolv.conf
[00:00:03] Starting jail 130-20190207-amd64-local
[00:00:06] Ports supports: FLAVORS SELECTED_OPTIONS
[00:00:06] MOVED: emulators/xen-kernel moved to emulators/xen-kernel47
[...]

Is this fine?

Should the previous xen -> xen47 entry in MOVED removed?

Thanks.

bapt added a comment.Feb 21 2019, 5:51 PM

remove the old lines from MOVED

linimon retitled this revision from xen-4.11: drop version number from port to emulators/xen-kernel411: drop version number from port.Feb 22 2019, 5:29 AM
royger updated this revision to Diff 54217.Feb 22 2019, 9:55 AM

Remove previous MOVED entry.

This revision now requires review to proceed.Feb 22 2019, 9:55 AM
bapt accepted this revision.Feb 26 2019, 8:11 AM
This revision is now accepted and ready to land.Feb 26 2019, 8:11 AM
This revision was automatically updated to reflect the committed changes.